<template>
  <div class="flex items-center gap-2 text-white" v-show="show">
    <font-awesome-icon icon="circle-exclamation" />
    <slot></slot>
  </div>
</template>

<script setup lang="ts">

defineProps({
  show: {
    type: Boolean,
    required: true,
  },
});
</script>

<style scoped></style>
